%define desktop_file_utils_version 0.9

Name: gpdf
Summary: viewer for Portable Document Format (PDF) files for GNOME
Version: 2.8.0
Release: 7
Group: Applications/Publishing
License: GPL
Source: gpdf-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

PreReq: desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires: libgnomeui-devel >= 2.4.0
BuildRequires: libgnomeprint22-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: libgnomeprint22
Requires: libgnomeprintui22
Requires(pre): scrollkeeper

Patch0: gpdf-2.8.0-gnomevfs-error-checking.patch
Patch1: xpdf-3.00-overflow.patch

%description
This is GPdf, a viewer for Portable Document Format (PDF) files for
GNOME. GPdf is based on the Xpdf program and uses additional GNOME
libraries for better desktop integration.

GPdf includes the gpdf application, a Bonobo control for PDF display
which can be embedded in Nautilus, and a Nautilus property page for
PDF files.

%prep
%setup -q

%patch0 -p1 -b .gnomevfs-error-checking
%patch1 -p1 -b .CAN-2004-0888-integer-overflow

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/gpdf.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
%{_bindir}/scrollkeeper-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gpdf.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
update-desktop-database %{_datadir}/applications
%{_bindir}/scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING CHANGES NEWS AUTHORS README README.GPdf
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/help/gpdf
%{_datadir}/omf/gpdf
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_datadir}/applications/*
%{_datadir}/application-registry/gpdf.applications
%{_datadir}/gpdf/
%{_datadir}/mime-info/gpdf.keys
%{_sysconfdir}/gconf/schemas/gpdf.schemas

%changelog
* Sat Nov  6 2004 Marco Pesenti gritti <mpg@redhat.com> 2.8.0-7
- Rebuild for RHEL4

* Sat Nov  6 2004 Marco Pesenti gritti <mpg@redhat.com> 2.8.0-6
- Run update-desktop-database. Fix #131090

* Thu Oct 28 2004 Dan Williams <dcbw@redhat.com> 2.8.0-5
- Fix CAN-2004-0888 (xpdf integer overflows)

* Tue Oct 15 2004 Marco Pesenti Gritti <mpg@redhat.com> 2.8.0-4
- rebuilt

* Tue Oct 12 2004 Marco Pesenti Gritti <mpg@redhat.com> 2.8.0-2
- rebuilt

* Wed Sep 22 2004 Dan Williams <dcbw@redaht.com> 2.8.0-1
- Update to 2.8.0
- Fix Gnome #153153/Red Hat #132469, patch works around a
	gnome-vfs issue by issuing an error, rather than crashing

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.91-1
- update to 2.7.92
- removed gpdf-2.7.90-uri-fix.patch, as that was in upstream

* Wed Aug 18 2004 Dan Williams <dcbw@redhat.com> 2.7.90-2
- Fix crashes on mailto: links (RH #127803)

* Wed Aug 18 2004 Dan Williams <dcbw@redhat.com> 2.7.90-1
- Update to 2.7.90

* Sat Jul 31 2004 Dan Williams <dcbw@redhat.com> 2.7.2-1
- Update to 2.7.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.131-2
- BR scrollkeeper, perl-XML-Parser, desktop-file-utils, gettext

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.131-1
- Update to 0.131

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 0.124-1
- update to 0.124

* Wed Mar  3 2004 Alexander Larsson <alexl@redhat.com> 0.123-2
- pre-require scrollkeeper (#116628)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 0.123-1
- update to 1.123

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.122-1
- new version

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.110-1
- Initial spec


